Threads
List threads
Lists threads owned by the caller.
Lists threads owned by the caller.
Authorization
bearerAuth AuthorizationBearer <token>
Create an API key in g2b Settings, then send it as a Bearer token.
In: header
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/threads"{ "threads": [ { "id": "string", "project_id": "string", "name": "string", "status": "active", "sandbox_status": "initializing", "github_url": "string", "branch": "string", "harness": "string", "model": "string", "reasoning_effort": "string", "collaboration_mode": "default", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } ]}Create a GitHub install session POST
Creates a short-lived, single-use GitHub App installation URL for the native app.
Create a thread POST
Creates a thread for one or more repositories and admits its first durable agent run. The primary repository is repository_id; repository_ids adds workspace repositories.